local L = RELIC_INSPECTOR_LOCALIZATION

local RelicTypeNames = {
	[1] = 'Blood',
	[2] = 'Shadow',
	[3] = 'Iron',
	[4] = 'Frost',
	[5] = 'Fire',
	[6] = 'Fel',
	[7] = 'Arcane',
	[8] = 'Life',
	[9] = 'Storm',
	[10] = 'Holy',
}

local RelicSlotsByArtifact = {
	[127829] = { 6, 2, 6}, -- Havoc DH
	[128832] = { 3, 7, 6}, -- Vengeance DH

	[128402] = { 1, 2, 3}, -- Blood DK
	[128292] = { 4, 2, 4}, -- Frost DK
	[128403] = { 5, 2, 1}, -- Unholy DK

	[128858] = { 7, 8, 7}, -- Balance Druid
	[128860] = { 4, 1, 8}, -- Feral Druid
	[128821] = { 5, 1, 8}, -- Guardian Druid
	[128306] = { 8, 4, 8}, -- Restoration Druid

	[128861] = { 9, 7, 3}, -- Beast Mastery Hunter
	[128826] = { 9, 1, 8}, -- Marksmanship Hunter
	[128808] = { 9, 3, 1}, -- Survival Hunter

	[127857] = { 7, 4, 7}, -- Arcane Mage
	[128820] = { 5, 7, 5}, -- Fire Mage
	[128862] = { 4, 7, 4}, -- Frost Mage

	[128938] = { 8, 9, 3}, -- Brewmaster Monk
	[128937] = { 4, 8, 9}, -- Mistweaver Monk
	[128940] = { 9, 3, 9}, -- Windwalker Monk

	[128823] = { 10, 8, 10}, -- Holy Paladin
	[128866] = { 10, 3, 7}, -- Protection Paladin
	[120978] = { 10, 5, 10}, -- Retribution Paladin

	[128868] = { 10, 2, 10}, -- Discipline Priest
	[128825] = { 10, 8, 10}, -- Holy Priest
	[128827] = { 2, 1, 2}, -- Shadow Priest

	[128870] = { 2, 3, 1}, -- Assassination Rogue
	[128872] = { 1, 3, 9}, -- Outlaw Rogue
	[128476] = { 6, 2, 6}, -- Subtlety Rogue

	[128935] = { 9, 4, 9}, -- Elemental Shaman
	[128819] = { 5, 3, 9}, -- Enhancement Shaman
	[128911] = { 8, 4, 8}, -- Restoration Shaman

	[128942] = { 2, 1, 2}, -- Affliction Warlock
	[128943] = { 2, 5, 6}, -- Demonology Warlock
	[128941] = { 6, 5, 6}, -- Destruction Warlock

	[128910] = { 3, 1, 2}, -- Arms Warrior
	[128908] = { 5, 9, 3}, -- Fury Warrior
	[128289] = { 3, 1, 5}, -- Protection Warrior
}

local function DecorateTooltip(self)
	local _, link = self:GetItem()
	if type(link) == 'string' then
		local _, itemID, _, relic1, relic2, relic3, _, _, _, _, _, upgradeID = strsplit(':', link)
		if upgradeID == '256' and nil ~= RelicSlotsByArtifact[tonumber(itemID)] then
			local relics = {relic1,relic2,relic3}
			for i = 1,3 do 
				if "" ~= relics[i] then
					local name, gemLink = GetItemGem(link,i)
					if type(gemLink) == 'string' then
						local _, _, _, gemLevel = GetItemInfo(gemLink)
						local relicType = RelicTypeNames[RelicSlotsByArtifact[tonumber(itemID)][i]]
						self:AddDoubleLine(format('|cffffd400 + (%s) %s|r', gemLevel, gemLink or '???'), 
							format('|cff00ff00(%s)',L[relicType]), 0, 1, 0, 0, 1, 0)
					end	
				end
			end
		end 
	end
end

ItemRefTooltip:HookScript('OnTooltipSetItem', DecorateTooltip)
GameTooltip:HookScript('OnTooltipSetItem', DecorateTooltip)
ShoppingTooltip1:HookScript('OnTooltipSetItem', DecorateTooltip)
ShoppingTooltip2:HookScript('OnTooltipSetItem', DecorateTooltip)

